<?php
/**
 * vecloud 获取模板列表demo
 *
 * @note 文档参考 http://vesdk.com/docs/page_292.html
 * @note 文档参考 http://vesdk.com/docs/page_293.html
 *
 * */
include "./vesdk/Base.php";
include "./vesdk/Template.php";

use vesdk\Template;

class RenderDemo
{
    public $template;

    public function __construct($config)
    {
        $this->template = new Template($config);
    }

    public function getTemplateList() { return $this->template->getList(); }

    public function getBalance() { return $this->template->getBalance(); }

    public function getCategory() { return $this->template->getCategory(); }

    public function getDetail($id) { return $this->template->getDetail($id); }

}

/**
 * 任务配置信息, 从 console.vesdk.com 控制台获取
 * @note 所有字段都必须
 * */
$config = [
    "accessKey"    => "", // 在控制台配置的秘钥
    "accessSecret" => "", // 在控制台配置的秘钥
    "productId"    => "", // 在控制台查看产品id
    "ossId"        => "", // 在控制台的OSSID
];

$demo     = new RenderDemo($config);
// 获取云平台存储的模板列表
$response = $demo->getTemplateList();

//获取您的余额 （用于模板租用和流量使用的，并非云渲染时长）
//$response = $demo->getBalance();

//获取分类
//$response = $demo->getCategory();

//获取模板详情
//$id = "";
//$response = $demo->getDetail();
var_dump($response);